#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
InfraredPlots.py

Copyright (c) 2018 Stephen P. Molnar, Ph.D.  All rights reserved.

"""
import numpy as np
import matplotlib.pyplot as plt

data = []
name = input("Enter Molecule ID: ")

name_in = name+'.jdx'
data = np.genfromtxt(name_in)

nu =[]
freq = []


'''
xmax=[]
req.max()=max(freq)
print(freq.max)
'''

freq = data[17:,0]
nu = data[17:,1]     

fig = plt.figure()
ax = fig.add_subplot(111)
ax.plot(freq,nu)

ax.set_xlim(400,4000)
#baseline.set_xdata([0,1])

plt.xlabel('Frequency (cm$^{-1}$)')
plt.ylabel('Relative Intensity (I)')
plt.title("Molecule ${}$: Infrared Spectrum".format(name))

plt.plot()
plt.grid()

name_plt = name
fig.savefig(name_plt,bbox_inches='tight')
plt.show()
